<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/3_Game/tools/Component.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d1/d31/_component_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">Component.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d1/d31/_component_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span> </div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../d5/d5c/group___components.html#ga4443bdbd0a92392ca9610fbd6465821a">    6</a></span><span class="keyword">const</span> <span class="keywordtype">string</span>    <a class="code hl_variable" href="../../d5/d5c/group___components.html#ga4443bdbd0a92392ca9610fbd6465821a">COMP_NAME_NONE</a>              = <span class="stringliteral">&quot;None&quot;</span>;</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno"><a class="line" href="../../d5/d5c/group___components.html#ga9c760ef7bd911071f11c075099bf91d7">    7</a></span><span class="keyword">const</span> <span class="keywordtype">int</span>       <a class="code hl_variable" href="../../d5/d5c/group___components.html#ga9c760ef7bd911071f11c075099bf91d7">COMP_TYPE_UNDEFINED</a>         = -1;</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../d5/d5c/group___components.html#gaef88c8ab144e41296750715adea5601d">    8</a></span><span class="keyword">const</span> <span class="keywordtype">int</span>       <a class="code hl_variable" href="../../d5/d5c/group___components.html#gaef88c8ab144e41296750715adea5601d">COMP_TYPE_ETITY_DEBUG</a>       = 0;</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno"><a class="line" href="../../d5/d5c/group___components.html#gabadae4556ccc3142ec8849234a84c083">    9</a></span><span class="keyword">const</span> <span class="keywordtype">int</span>       <a class="code hl_variable" href="../../d5/d5c/group___components.html#gabadae4556ccc3142ec8849234a84c083">COMP_TYPE_ENERGY_MANAGER</a>    = 1;</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno"><a class="line" href="../../d5/d5c/group___components.html#ga1b591ae28aa0f566ebde8ef03d2701ed">   10</a></span><span class="keyword">const</span> <span class="keywordtype">int</span>       <a class="code hl_variable" href="../../d5/d5c/group___components.html#ga1b591ae28aa0f566ebde8ef03d2701ed">COMP_TYPE_BODY_STAGING</a>      = 2;</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="../../d5/d5c/group___components.html#ga02a8b19f558edb4ffa17a5199b8e5fc9">   11</a></span><span class="keyword">const</span> <span class="keywordtype">int</span>       <a class="code hl_variable" href="../../d5/d5c/group___components.html#ga02a8b19f558edb4ffa17a5199b8e5fc9">COMP_TYPE_ANIMAL_BLEEDING</a>   = 3;</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno"><a class="line" href="../../d5/d5c/group___components.html#ga7e2e9b64725a07307f41dcd20c220342">   12</a></span><span class="keyword">const</span> <span class="keywordtype">int</span>       <a class="code hl_variable" href="../../d5/d5c/group___components.html#ga7e2e9b64725a07307f41dcd20c220342">COMP_TYPE_COUNT</a>             = 4;</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../d2/d00/class_component.html">   15</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d2/d00/class_component.html">Component</a></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>{</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span> </div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    <span class="comment">//==========================================</span></div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    <span class="comment">// Variables Private Static</span></div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="../../d2/d00/class_component.html#a4f2a72176133edbab717f4a3f63705e2">   20</a></span>    <span class="keyword">private</span> <span class="keyword">static</span> <span class="keywordtype">string</span> <a class="code hl_variable" href="../../d2/d00/class_component.html#a4f2a72176133edbab717f4a3f63705e2">m_CompNames</a>[<a class="code hl_variable" href="../../d5/d5c/group___components.html#ga7e2e9b64725a07307f41dcd20c220342">COMP_TYPE_COUNT</a>]; </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    </div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    <span class="comment">//==========================================</span></div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    <span class="comment">// Variables Private</span></div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno"><a class="line" href="../../d2/d00/class_component.html#adf8ead7fb522b7c0206c25c5d3919603">   24</a></span>    <span class="keyword">protected</span> <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a>      <a class="code hl_variable" href="../../d2/d00/class_component.html#adf8ead7fb522b7c0206c25c5d3919603">m_ThisEntityAI</a>;</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    </div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    <span class="comment">//==========================================</span></div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    </div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno"><a class="line" href="../../d2/d00/class_component.html#a789519192ed04a00ddd3696a4a1514db">   28</a></span>    <span class="keywordtype">void</span>    <a class="code hl_function" href="../../d2/d00/class_component.html#a789519192ed04a00ddd3696a4a1514db">Event_OnFrame</a>(<a class="code hl_class" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> <a class="code hl_variable" href="../../d5/d71/_car_script_8c.html#adbbef30aba7b6095441413e50771e4fd">other</a>, <span class="keywordtype">float</span> timeSlice);</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno"><a class="line" href="../../d2/d00/class_component.html#ad5562ea7f26c779ac3e172f26680f19d">   29</a></span>    <a class="code hl_variable" href="../../d6/dae/group___debug_shape.html#gaf4344f1db5238ced76a52bf38cee2978">Shape</a>   <a class="code hl_function" href="../../d2/d00/class_component.html#ad5562ea7f26c779ac3e172f26680f19d">DebugBBoxDraw</a>();</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno"><a class="line" href="../../d2/d00/class_component.html#ad98dfbb8e568e47addba3eceea7bc427">   30</a></span>    <span class="keywordtype">void</span>    <a class="code hl_function" href="../../d2/d00/class_component.html#ad98dfbb8e568e47addba3eceea7bc427">DebugBBoxSetColor</a>(<span class="keywordtype">int</span> color);</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno"><a class="line" href="../../d2/d00/class_component.html#a4d9b21cf45deed622646e5bca66d8ead">   31</a></span>    <span class="keywordtype">void</span>    <a class="code hl_function" href="../../d2/d00/class_component.html#a4d9b21cf45deed622646e5bca66d8ead">DebugBBoxDelete</a>();</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno"><a class="line" href="../../d2/d00/class_component.html#a0ce6f8d36292057c76449c4ae23879ac">   32</a></span>    <a class="code hl_variable" href="../../d6/dae/group___debug_shape.html#gaf4344f1db5238ced76a52bf38cee2978">Shape</a>   <a class="code hl_function" href="../../d2/d00/class_component.html#a0ce6f8d36292057c76449c4ae23879ac">DebugDirectionDraw</a>(<span class="keywordtype">float</span> distance = 1);</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno"><a class="line" href="../../d2/d00/class_component.html#a8a0ca6bb78612558e4bb815f96e9ea0b">   33</a></span>    <span class="keywordtype">void</span>    <a class="code hl_function" href="../../d2/d00/class_component.html#a8a0ca6bb78612558e4bb815f96e9ea0b">DebugDirectionSetColor</a>(<span class="keywordtype">int</span> color);</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno"><a class="line" href="../../d2/d00/class_component.html#a4c26bd31eb4e6499f025004e4e436b8d">   34</a></span>    <span class="keywordtype">void</span>    <a class="code hl_function" href="../../d2/d00/class_component.html#a4c26bd31eb4e6499f025004e4e436b8d">DebugDirectionDelete</a>();</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    </div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    <span class="comment">// Methods Public Static</span></div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno"><a class="line" href="../../d2/d00/class_component.html#af3555d9b46012f613d42260d6facbf2b">   37</a></span>    <span class="keyword">static</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/d00/class_component.html#af3555d9b46012f613d42260d6facbf2b">Init</a>()</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>    {</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        <a class="code hl_variable" href="../../d2/d00/class_component.html#a4f2a72176133edbab717f4a3f63705e2">m_CompNames</a>[<a class="code hl_variable" href="../../d5/d5c/group___components.html#gaef88c8ab144e41296750715adea5601d">COMP_TYPE_ETITY_DEBUG</a>]          = <span class="stringliteral">&quot;ComponentEntityDebug&quot;</span>;</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        <a class="code hl_variable" href="../../d2/d00/class_component.html#a4f2a72176133edbab717f4a3f63705e2">m_CompNames</a>[<a class="code hl_variable" href="../../d5/d5c/group___components.html#gabadae4556ccc3142ec8849234a84c083">COMP_TYPE_ENERGY_MANAGER</a>]       = <span class="stringliteral">&quot;ComponentEnergyManager&quot;</span>;</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        <a class="code hl_variable" href="../../d2/d00/class_component.html#a4f2a72176133edbab717f4a3f63705e2">m_CompNames</a>[<a class="code hl_variable" href="../../d5/d5c/group___components.html#ga1b591ae28aa0f566ebde8ef03d2701ed">COMP_TYPE_BODY_STAGING</a>]         = <span class="stringliteral">&quot;ComponentBodyStaging&quot;</span>;</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        <a class="code hl_variable" href="../../d2/d00/class_component.html#a4f2a72176133edbab717f4a3f63705e2">m_CompNames</a>[<a class="code hl_variable" href="../../d5/d5c/group___components.html#ga02a8b19f558edb4ffa17a5199b8e5fc9">COMP_TYPE_ANIMAL_BLEEDING</a>]      = <span class="stringliteral">&quot;ComponentAnimalBleeding&quot;</span>;</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    }</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span> </div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    <span class="comment">// GetNameByType</span></div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno"><a class="line" href="../../d2/d00/class_component.html#a4a14e38704f3fea42a648890117ed740">   48</a></span><span class="comment"></span>    <span class="keyword">static</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../d2/d00/class_component.html#a4a14e38704f3fea42a648890117ed740">GetNameByType</a>(<span class="keywordtype">int</span> comp_type)</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    {</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../d2/d00/class_component.html#a87e5c52fb158bcefc8cce4c26ec45de3">IsTypeExist</a>(comp_type) == <span class="keyword">false</span> )</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        {</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>            <a class="code hl_function" href="../../d2/d00/class_component.html#a2ad7e91364a17de0273b056d7fa5dbd0">LogErrorBadCompType</a>(comp_type, <span class="stringliteral">&quot;Component-&gt;GetNameByType()&quot;</span>);</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>            <span class="keywordflow">return</span> <span class="stringliteral">&quot;None&quot;</span>;</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        }</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        </div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d2/d00/class_component.html#a4f2a72176133edbab717f4a3f63705e2">m_CompNames</a>[comp_type];</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>    }</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span> </div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>    <span class="comment">// IsTypeExist</span></div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno"><a class="line" href="../../d2/d00/class_component.html#a87e5c52fb158bcefc8cce4c26ec45de3">   62</a></span><span class="comment"></span>    <span class="keyword">static</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d2/d00/class_component.html#a87e5c52fb158bcefc8cce4c26ec45de3">IsTypeExist</a>(<span class="keywordtype">int</span> comp_type)</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>    {</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>        <span class="keywordflow">if</span> ( comp_type &lt; 0 || comp_type &gt;= <a class="code hl_variable" href="../../d5/d5c/group___components.html#ga7e2e9b64725a07307f41dcd20c220342">COMP_TYPE_COUNT</a> )</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>        {</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>        }</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>        </div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>    }</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span> </div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span> </div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>    <span class="comment">// LogErrorBadCompType</span></div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno"><a class="line" href="../../d2/d00/class_component.html#a2ad7e91364a17de0273b056d7fa5dbd0">   76</a></span><span class="comment"></span>    <span class="keyword">static</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/d00/class_component.html#a2ad7e91364a17de0273b056d7fa5dbd0">LogErrorBadCompType</a>(<span class="keywordtype">int</span> comp_type, <span class="keywordtype">string</span> fnc_name)</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>    {</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>        <span class="keywordtype">string</span> msg = <span class="stringliteral">&quot;Bad parameter comp_type=&#39;&quot;</span>+comp_type.ToString()+<span class="stringliteral">&quot;&#39;. Parameter must be 0-&quot;</span>+(<a class="code hl_variable" href="../../d5/d5c/group___components.html#ga7e2e9b64725a07307f41dcd20c220342">COMP_TYPE_COUNT</a> - 1).<a class="code hl_function" href="../../d0/d13/_en_convert_8c.html#afa7657e4f6687b78bc860ddff41c3bef">ToString</a>()+<span class="stringliteral">&quot;. Returning component name &#39;None&#39;.&quot;</span>;</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>        <a class="code hl_class" href="../../da/d7d/class_debug.html">Debug</a>.<a class="code hl_function" href="../../da/d7d/class_debug.html#a87dcfbb1acc79bc63ccc7af1476c913d">LogError</a>(msg, <span class="stringliteral">&quot;Component&quot;</span>, <span class="stringliteral">&quot;n/a&quot;</span>, fnc_name);</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>    }</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span> </div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>    <span class="comment">// LogWarningAlredyExist</span></div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno"><a class="line" href="../../d2/d00/class_component.html#a2f666e77e1ed854010db630076beb100">   85</a></span><span class="comment"></span>    <span class="keyword">static</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/d00/class_component.html#a2f666e77e1ed854010db630076beb100">LogWarningAlredyExist</a>(<span class="keywordtype">int</span> comp_type, <span class="keywordtype">string</span> fnc_name)</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>    {</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>        <span class="keywordtype">string</span> msg = <span class="stringliteral">&quot;Component &#39;&quot;</span>+<a class="code hl_class" href="../../d2/d00/class_component.html">Component</a>.<a class="code hl_function" href="../../d2/d00/class_component.html#a4a14e38704f3fea42a648890117ed740">GetNameByType</a>(comp_type)+<span class="stringliteral">&quot;&#39; already exists!&quot;</span>;</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>        <a class="code hl_class" href="../../da/d7d/class_debug.html">Debug</a>.<a class="code hl_function" href="../../da/d7d/class_debug.html#a87dcfbb1acc79bc63ccc7af1476c913d">LogError</a>(msg, <span class="stringliteral">&quot;Component&quot;</span>, <span class="stringliteral">&quot;n/a&quot;</span>, fnc_name);</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>    }</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span> </div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>    <span class="comment">//=======================================public</span></div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>    <span class="comment">// SetParentEntityAI</span></div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>    <span class="comment">//=============================================</span></div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno"><a class="line" href="../../d2/d00/class_component.html#a29c4142d146a766f3a38071262e362be">   94</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/d00/class_component.html#a29c4142d146a766f3a38071262e362be">SetParentEntityAI</a>(<a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> e)</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>    {</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>        <a class="code hl_variable" href="../../d2/d00/class_component.html#adf8ead7fb522b7c0206c25c5d3919603">m_ThisEntityAI</a> = e;</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>    }</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span> </div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>    <span class="comment">//====================================protected</span></div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>    <span class="comment">// Awake</span></div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>    <span class="comment">//=============================================</span></div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno"><a class="line" href="../../d2/d00/class_component.html#ab471dd09761f1ae5c583894a24015e2f">  102</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/d00/class_component.html#ab471dd09761f1ae5c583894a24015e2f">Event_OnAwake</a>()</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>    {</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>        </div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>    }</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span> </div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>    <span class="comment">//====================================protected</span></div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>    <span class="comment">// Init</span></div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>    <span class="comment">//=============================================</span></div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno"><a class="line" href="../../d2/d00/class_component.html#a4c1e54baa02bbed08b12937b677668d2">  110</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/d00/class_component.html#a4c1e54baa02bbed08b12937b677668d2">Event_OnInit</a>()</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>    {</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>        </div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>    }</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span> </div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>    <span class="comment">//=======================================public</span></div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>    <span class="comment">// Log</span></div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>    <span class="comment">//=============================================</span></div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno"><a class="line" href="../../d2/d00/class_component.html#a3bc80a6cbe4a897a8ec6e513358a177c">  118</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/d00/class_component.html#a3bc80a6cbe4a897a8ec6e513358a177c">LogThis</a>(<span class="keywordtype">string</span> msg, <span class="keywordtype">string</span> fnc_name = <span class="stringliteral">&quot;n/a&quot;</span>)</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>    {</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>        <a class="code hl_class" href="../../da/d7d/class_debug.html">Debug</a>.<a class="code hl_function" href="../../da/d7d/class_debug.html#ac759558b1dd4e820330546c994a9d840">Log</a>(msg, <a class="code hl_function" href="../../d2/d00/class_component.html#a31579cd4f396c49b4589de3740a3e71d">GetCompName</a>(), <span class="stringliteral">&quot;n/a&quot;</span>, fnc_name, <a class="code hl_variable" href="../../d2/d00/class_component.html#adf8ead7fb522b7c0206c25c5d3919603">m_ThisEntityAI</a>.ToString());</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>    }</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span> </div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>    <span class="comment">//=======================================public</span></div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>    <span class="comment">// LogWarning</span></div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>    <span class="comment">//=============================================</span></div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno"><a class="line" href="../../d2/d00/class_component.html#a9a922713ef45dbdf415dfd40a03ed35e">  126</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/d00/class_component.html#a9a922713ef45dbdf415dfd40a03ed35e">LogThisWarning</a>(<span class="keywordtype">string</span> msg, <span class="keywordtype">string</span> fnc_name = <span class="stringliteral">&quot;n/a&quot;</span>)</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>    {</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>        <a class="code hl_class" href="../../da/d7d/class_debug.html">Debug</a>.<a class="code hl_function" href="../../da/d7d/class_debug.html#a61835f313c21a8756f74364e7bc819d5">LogWarning</a>(msg, <a class="code hl_function" href="../../d2/d00/class_component.html#a31579cd4f396c49b4589de3740a3e71d">GetCompName</a>(), <span class="stringliteral">&quot;n/a&quot;</span>, fnc_name, <a class="code hl_variable" href="../../d2/d00/class_component.html#adf8ead7fb522b7c0206c25c5d3919603">m_ThisEntityAI</a>.ToString());</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>    }</div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span> </div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>    <span class="comment">//=======================================public</span></div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>    <span class="comment">// LogError</span></div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>    <span class="comment">//=============================================</span></div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno"><a class="line" href="../../d2/d00/class_component.html#ad029eba71a88848526535a58964060c1">  134</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/d00/class_component.html#ad029eba71a88848526535a58964060c1">LogThisError</a>(<span class="keywordtype">string</span> msg, <span class="keywordtype">string</span> fnc_name = <span class="stringliteral">&quot;n/a&quot;</span>)</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>    {</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>        <a class="code hl_class" href="../../da/d7d/class_debug.html">Debug</a>.<a class="code hl_function" href="../../da/d7d/class_debug.html#a87dcfbb1acc79bc63ccc7af1476c913d">LogError</a>(msg, <a class="code hl_function" href="../../d2/d00/class_component.html#a31579cd4f396c49b4589de3740a3e71d">GetCompName</a>(), <span class="stringliteral">&quot;n/a&quot;</span>, fnc_name, <a class="code hl_variable" href="../../d2/d00/class_component.html#adf8ead7fb522b7c0206c25c5d3919603">m_ThisEntityAI</a>.ToString());</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>    }</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span> </div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>    <span class="comment">//=======================================public</span></div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>    <span class="comment">// GetType</span></div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>    <span class="comment">//=============================================</span></div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno"><a class="line" href="../../d2/d00/class_component.html#a31579cd4f396c49b4589de3740a3e71d">  142</a></span>    <span class="keywordtype">string</span> <a class="code hl_function" href="../../d2/d00/class_component.html#a31579cd4f396c49b4589de3740a3e71d">GetCompName</a>()</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>    {</div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>        <span class="keywordflow">return</span> <a class="code hl_class" href="../../d2/d00/class_component.html">Component</a>.<a class="code hl_function" href="../../d2/d00/class_component.html#a4a14e38704f3fea42a648890117ed740">GetNameByType</a>(this.<a class="code hl_function" href="../../d2/d00/class_component.html#ab070e3dc8b2d38222bb12aa71e281005">GetCompType</a>());</div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>    }</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span> </div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>    <span class="comment">//=======================================public</span></div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>    <span class="comment">// GetType</span></div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>    <span class="comment">//=============================================</span></div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno"><a class="line" href="../../d2/d00/class_component.html#ab070e3dc8b2d38222bb12aa71e281005">  150</a></span>    <span class="keywordtype">int</span> <a class="code hl_function" href="../../d2/d00/class_component.html#ab070e3dc8b2d38222bb12aa71e281005">GetCompType</a>()</div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span>    {</div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d5/d5c/group___components.html#ga9c760ef7bd911071f11c075099bf91d7">COMP_TYPE_UNDEFINED</a>;</div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>    }</div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span> </div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>    <span class="comment">//=======================================public</span></div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span>    <span class="comment">// Event_OnItemAttached</span></div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span>    <span class="comment">//=============================================</span></div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno"><a class="line" href="../../d2/d00/class_component.html#afd27cdc091125605441eeaae99347983">  158</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/d00/class_component.html#afd27cdc091125605441eeaae99347983">Event_OnItemAttached</a>(<a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> item, <span class="keywordtype">string</span> slot_name)</div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span>    {</div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span>        <a class="code hl_function" href="../../d2/d00/class_component.html#a3bc80a6cbe4a897a8ec6e513358a177c">LogThis</a>(<span class="stringliteral">&quot;&quot;</span> + item + <span class="stringliteral">&quot; -&gt; &quot;</span> + slot_name,<span class="stringliteral">&quot;Event_OnItemAttached&quot;</span>);</div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span>        <span class="comment">//Debug.Log(&quot;Component=&gt;Event_OnItemAttached: &quot; + item + &quot; -&gt; &quot; + slot_name, );</span></div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span>    }</div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span> </div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span>    <span class="comment">//=======================================public</span></div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span>    <span class="comment">// Event_OnItemDetached</span></div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span>    <span class="comment">//=============================================</span></div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno"><a class="line" href="../../d2/d00/class_component.html#a517a26e50d7783310cf7e4bf5aaa504c">  167</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/d00/class_component.html#a517a26e50d7783310cf7e4bf5aaa504c">Event_OnItemDetached</a>(<a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> item, <span class="keywordtype">string</span> slot_name)</div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span>    {</div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span>        <a class="code hl_function" href="../../d2/d00/class_component.html#a3bc80a6cbe4a897a8ec6e513358a177c">LogThis</a>(<span class="stringliteral">&quot;&quot;</span> + item + <span class="stringliteral">&quot; &lt;- &quot;</span> + slot_name,<span class="stringliteral">&quot;Event_OnItemDetached&quot;</span>);</div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span>        <span class="comment">//Log(&quot;Component=&gt;Event_OnItemDetached: &quot; + item + &quot; &lt;- &quot; + slot_name );</span></div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span>    }</div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno">  172</span>}</div>
<div class="ttc" id="a_car_script_8c_html_adbbef30aba7b6095441413e50771e4fd"><div class="ttname"><a href="../../d5/d71/_car_script_8c.html#adbbef30aba7b6095441413e50771e4fd">other</a></div><div class="ttdeci">IEntity other</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d71/_car_script_8c_source.html#l00038">CarScript.c:38</a></div></div>
<div class="ttc" id="a_en_convert_8c_html_afa7657e4f6687b78bc860ddff41c3bef"><div class="ttname"><a href="../../d0/d13/_en_convert_8c.html#afa7657e4f6687b78bc860ddff41c3bef">ToString</a></div><div class="ttdeci">proto string ToString()</div></div>
<div class="ttc" id="aclass_component_html"><div class="ttname"><a href="../../d2/d00/class_component.html">Component</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d31/_component_8c_source.html#l00015">Component.c:16</a></div></div>
<div class="ttc" id="aclass_component_html_a0ce6f8d36292057c76449c4ae23879ac"><div class="ttname"><a href="../../d2/d00/class_component.html#a0ce6f8d36292057c76449c4ae23879ac">Component::DebugDirectionDraw</a></div><div class="ttdeci">Shape DebugDirectionDraw(float distance=1)</div></div>
<div class="ttc" id="aclass_component_html_a29c4142d146a766f3a38071262e362be"><div class="ttname"><a href="../../d2/d00/class_component.html#a29c4142d146a766f3a38071262e362be">Component::SetParentEntityAI</a></div><div class="ttdeci">void SetParentEntityAI(EntityAI e)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d31/_component_8c_source.html#l00094">Component.c:94</a></div></div>
<div class="ttc" id="aclass_component_html_a2ad7e91364a17de0273b056d7fa5dbd0"><div class="ttname"><a href="../../d2/d00/class_component.html#a2ad7e91364a17de0273b056d7fa5dbd0">Component::LogErrorBadCompType</a></div><div class="ttdeci">static void LogErrorBadCompType(int comp_type, string fnc_name)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d31/_component_8c_source.html#l00076">Component.c:76</a></div></div>
<div class="ttc" id="aclass_component_html_a2f666e77e1ed854010db630076beb100"><div class="ttname"><a href="../../d2/d00/class_component.html#a2f666e77e1ed854010db630076beb100">Component::LogWarningAlredyExist</a></div><div class="ttdeci">static void LogWarningAlredyExist(int comp_type, string fnc_name)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d31/_component_8c_source.html#l00085">Component.c:85</a></div></div>
<div class="ttc" id="aclass_component_html_a31579cd4f396c49b4589de3740a3e71d"><div class="ttname"><a href="../../d2/d00/class_component.html#a31579cd4f396c49b4589de3740a3e71d">Component::GetCompName</a></div><div class="ttdeci">string GetCompName()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d31/_component_8c_source.html#l00142">Component.c:142</a></div></div>
<div class="ttc" id="aclass_component_html_a3bc80a6cbe4a897a8ec6e513358a177c"><div class="ttname"><a href="../../d2/d00/class_component.html#a3bc80a6cbe4a897a8ec6e513358a177c">Component::LogThis</a></div><div class="ttdeci">void LogThis(string msg, string fnc_name=&quot;n/a&quot;)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d31/_component_8c_source.html#l00118">Component.c:118</a></div></div>
<div class="ttc" id="aclass_component_html_a4a14e38704f3fea42a648890117ed740"><div class="ttname"><a href="../../d2/d00/class_component.html#a4a14e38704f3fea42a648890117ed740">Component::GetNameByType</a></div><div class="ttdeci">static string GetNameByType(int comp_type)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d31/_component_8c_source.html#l00048">Component.c:48</a></div></div>
<div class="ttc" id="aclass_component_html_a4c1e54baa02bbed08b12937b677668d2"><div class="ttname"><a href="../../d2/d00/class_component.html#a4c1e54baa02bbed08b12937b677668d2">Component::Event_OnInit</a></div><div class="ttdeci">void Event_OnInit()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d31/_component_8c_source.html#l00110">Component.c:110</a></div></div>
<div class="ttc" id="aclass_component_html_a4c26bd31eb4e6499f025004e4e436b8d"><div class="ttname"><a href="../../d2/d00/class_component.html#a4c26bd31eb4e6499f025004e4e436b8d">Component::DebugDirectionDelete</a></div><div class="ttdeci">void DebugDirectionDelete()</div></div>
<div class="ttc" id="aclass_component_html_a4d9b21cf45deed622646e5bca66d8ead"><div class="ttname"><a href="../../d2/d00/class_component.html#a4d9b21cf45deed622646e5bca66d8ead">Component::DebugBBoxDelete</a></div><div class="ttdeci">void DebugBBoxDelete()</div></div>
<div class="ttc" id="aclass_component_html_a4f2a72176133edbab717f4a3f63705e2"><div class="ttname"><a href="../../d2/d00/class_component.html#a4f2a72176133edbab717f4a3f63705e2">Component::m_CompNames</a></div><div class="ttdeci">static private string m_CompNames[COMP_TYPE_COUNT]</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d31/_component_8c_source.html#l00020">Component.c:20</a></div></div>
<div class="ttc" id="aclass_component_html_a517a26e50d7783310cf7e4bf5aaa504c"><div class="ttname"><a href="../../d2/d00/class_component.html#a517a26e50d7783310cf7e4bf5aaa504c">Component::Event_OnItemDetached</a></div><div class="ttdeci">void Event_OnItemDetached(EntityAI item, string slot_name)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d31/_component_8c_source.html#l00167">Component.c:167</a></div></div>
<div class="ttc" id="aclass_component_html_a789519192ed04a00ddd3696a4a1514db"><div class="ttname"><a href="../../d2/d00/class_component.html#a789519192ed04a00ddd3696a4a1514db">Component::Event_OnFrame</a></div><div class="ttdeci">void Event_OnFrame(IEntity other, float timeSlice)</div></div>
<div class="ttc" id="aclass_component_html_a87e5c52fb158bcefc8cce4c26ec45de3"><div class="ttname"><a href="../../d2/d00/class_component.html#a87e5c52fb158bcefc8cce4c26ec45de3">Component::IsTypeExist</a></div><div class="ttdeci">static bool IsTypeExist(int comp_type)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d31/_component_8c_source.html#l00062">Component.c:62</a></div></div>
<div class="ttc" id="aclass_component_html_a8a0ca6bb78612558e4bb815f96e9ea0b"><div class="ttname"><a href="../../d2/d00/class_component.html#a8a0ca6bb78612558e4bb815f96e9ea0b">Component::DebugDirectionSetColor</a></div><div class="ttdeci">void DebugDirectionSetColor(int color)</div></div>
<div class="ttc" id="aclass_component_html_a9a922713ef45dbdf415dfd40a03ed35e"><div class="ttname"><a href="../../d2/d00/class_component.html#a9a922713ef45dbdf415dfd40a03ed35e">Component::LogThisWarning</a></div><div class="ttdeci">void LogThisWarning(string msg, string fnc_name=&quot;n/a&quot;)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d31/_component_8c_source.html#l00126">Component.c:126</a></div></div>
<div class="ttc" id="aclass_component_html_ab070e3dc8b2d38222bb12aa71e281005"><div class="ttname"><a href="../../d2/d00/class_component.html#ab070e3dc8b2d38222bb12aa71e281005">Component::GetCompType</a></div><div class="ttdeci">int GetCompType()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d31/_component_8c_source.html#l00150">Component.c:150</a></div></div>
<div class="ttc" id="aclass_component_html_ab471dd09761f1ae5c583894a24015e2f"><div class="ttname"><a href="../../d2/d00/class_component.html#ab471dd09761f1ae5c583894a24015e2f">Component::Event_OnAwake</a></div><div class="ttdeci">void Event_OnAwake()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d31/_component_8c_source.html#l00102">Component.c:102</a></div></div>
<div class="ttc" id="aclass_component_html_ad029eba71a88848526535a58964060c1"><div class="ttname"><a href="../../d2/d00/class_component.html#ad029eba71a88848526535a58964060c1">Component::LogThisError</a></div><div class="ttdeci">void LogThisError(string msg, string fnc_name=&quot;n/a&quot;)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d31/_component_8c_source.html#l00134">Component.c:134</a></div></div>
<div class="ttc" id="aclass_component_html_ad5562ea7f26c779ac3e172f26680f19d"><div class="ttname"><a href="../../d2/d00/class_component.html#ad5562ea7f26c779ac3e172f26680f19d">Component::DebugBBoxDraw</a></div><div class="ttdeci">Shape DebugBBoxDraw()</div></div>
<div class="ttc" id="aclass_component_html_ad98dfbb8e568e47addba3eceea7bc427"><div class="ttname"><a href="../../d2/d00/class_component.html#ad98dfbb8e568e47addba3eceea7bc427">Component::DebugBBoxSetColor</a></div><div class="ttdeci">void DebugBBoxSetColor(int color)</div></div>
<div class="ttc" id="aclass_component_html_adf8ead7fb522b7c0206c25c5d3919603"><div class="ttname"><a href="../../d2/d00/class_component.html#adf8ead7fb522b7c0206c25c5d3919603">Component::m_ThisEntityAI</a></div><div class="ttdeci">protected EntityAI m_ThisEntityAI</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d31/_component_8c_source.html#l00024">Component.c:24</a></div></div>
<div class="ttc" id="aclass_component_html_af3555d9b46012f613d42260d6facbf2b"><div class="ttname"><a href="../../d2/d00/class_component.html#af3555d9b46012f613d42260d6facbf2b">Component::Init</a></div><div class="ttdeci">static void Init()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d31/_component_8c_source.html#l00037">Component.c:37</a></div></div>
<div class="ttc" id="aclass_component_html_afd27cdc091125605441eeaae99347983"><div class="ttname"><a href="../../d2/d00/class_component.html#afd27cdc091125605441eeaae99347983">Component::Event_OnItemAttached</a></div><div class="ttdeci">void Event_OnItemAttached(EntityAI item, string slot_name)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d31/_component_8c_source.html#l00158">Component.c:158</a></div></div>
<div class="ttc" id="aclass_debug_html"><div class="ttname"><a href="../../da/d7d/class_debug.html">Debug</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/d4c/3___game_2tools_2_debug_8c_source.html#l00013">Debug.c:14</a></div></div>
<div class="ttc" id="aclass_debug_html_a61835f313c21a8756f74364e7bc819d5"><div class="ttname"><a href="../../da/d7d/class_debug.html#a61835f313c21a8756f74364e7bc819d5">Debug::LogWarning</a></div><div class="ttdeci">static void LogWarning(string message=LOG_DEFAULT, string plugin=LOG_DEFAULT, string author=LOG_DEFAULT, string label=LOG_DEFAULT, string entity=LOG_DEFAULT)</div><div class="ttdoc">Prints debug message as warning message.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d4c/3___game_2tools_2_debug_8c_source.html#l00211">Debug.c:211</a></div></div>
<div class="ttc" id="aclass_debug_html_a87dcfbb1acc79bc63ccc7af1476c913d"><div class="ttname"><a href="../../da/d7d/class_debug.html#a87dcfbb1acc79bc63ccc7af1476c913d">Debug::LogError</a></div><div class="ttdeci">static void LogError(string message=LOG_DEFAULT, string plugin=LOG_DEFAULT, string author=LOG_DEFAULT, string label=LOG_DEFAULT, string entity=LOG_DEFAULT)</div><div class="ttdoc">Prints debug message as error message.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d4c/3___game_2tools_2_debug_8c_source.html#l00226">Debug.c:226</a></div></div>
<div class="ttc" id="aclass_debug_html_ac759558b1dd4e820330546c994a9d840"><div class="ttname"><a href="../../da/d7d/class_debug.html#ac759558b1dd4e820330546c994a9d840">Debug::Log</a></div><div class="ttdeci">static void Log(string message=LOG_DEFAULT, string plugin=LOG_DEFAULT, string author=LOG_DEFAULT, string label=LOG_DEFAULT, string entity=LOG_DEFAULT)</div><div class="ttdoc">Prints debug message with normal prio.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d4c/3___game_2tools_2_debug_8c_source.html#l00130">Debug.c:130</a></div></div>
<div class="ttc" id="aclass_entity_a_i_html"><div class="ttname"><a href="../../df/df9/class_entity_a_i.html">EntityAI</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d45/3___game_2_entities_2_building_8c_source.html#l00001">Building.c:2</a></div></div>
<div class="ttc" id="agroup___components_html_ga02a8b19f558edb4ffa17a5199b8e5fc9"><div class="ttname"><a href="../../d5/d5c/group___components.html#ga02a8b19f558edb4ffa17a5199b8e5fc9">COMP_TYPE_ANIMAL_BLEEDING</a></div><div class="ttdeci">const int COMP_TYPE_ANIMAL_BLEEDING</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d31/_component_8c_source.html#l00011">Component.c:11</a></div></div>
<div class="ttc" id="agroup___components_html_ga1b591ae28aa0f566ebde8ef03d2701ed"><div class="ttname"><a href="../../d5/d5c/group___components.html#ga1b591ae28aa0f566ebde8ef03d2701ed">COMP_TYPE_BODY_STAGING</a></div><div class="ttdeci">const int COMP_TYPE_BODY_STAGING</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d31/_component_8c_source.html#l00010">Component.c:10</a></div></div>
<div class="ttc" id="agroup___components_html_ga4443bdbd0a92392ca9610fbd6465821a"><div class="ttname"><a href="../../d5/d5c/group___components.html#ga4443bdbd0a92392ca9610fbd6465821a">COMP_NAME_NONE</a></div><div class="ttdeci">const string COMP_NAME_NONE</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d31/_component_8c_source.html#l00006">Component.c:6</a></div></div>
<div class="ttc" id="agroup___components_html_ga7e2e9b64725a07307f41dcd20c220342"><div class="ttname"><a href="../../d5/d5c/group___components.html#ga7e2e9b64725a07307f41dcd20c220342">COMP_TYPE_COUNT</a></div><div class="ttdeci">const int COMP_TYPE_COUNT</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d31/_component_8c_source.html#l00012">Component.c:12</a></div></div>
<div class="ttc" id="agroup___components_html_ga9c760ef7bd911071f11c075099bf91d7"><div class="ttname"><a href="../../d5/d5c/group___components.html#ga9c760ef7bd911071f11c075099bf91d7">COMP_TYPE_UNDEFINED</a></div><div class="ttdeci">const int COMP_TYPE_UNDEFINED</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d31/_component_8c_source.html#l00007">Component.c:7</a></div></div>
<div class="ttc" id="agroup___components_html_gabadae4556ccc3142ec8849234a84c083"><div class="ttname"><a href="../../d5/d5c/group___components.html#gabadae4556ccc3142ec8849234a84c083">COMP_TYPE_ENERGY_MANAGER</a></div><div class="ttdeci">const int COMP_TYPE_ENERGY_MANAGER</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d31/_component_8c_source.html#l00009">Component.c:9</a></div></div>
<div class="ttc" id="agroup___components_html_gaef88c8ab144e41296750715adea5601d"><div class="ttname"><a href="../../d5/d5c/group___components.html#gaef88c8ab144e41296750715adea5601d">COMP_TYPE_ETITY_DEBUG</a></div><div class="ttdeci">const int COMP_TYPE_ETITY_DEBUG</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d31/_component_8c_source.html#l00008">Component.c:8</a></div></div>
<div class="ttc" id="agroup___debug_shape_html_gaf4344f1db5238ced76a52bf38cee2978"><div class="ttname"><a href="../../d6/dae/group___debug_shape.html#gaf4344f1db5238ced76a52bf38cee2978">Shape</a></div><div class="ttdeci">class DiagMenu Shape</div><div class="ttdoc">don't call destructor directly. Use Destroy() instead</div></div>
<div class="ttc" id="agroup___entity_attributes_html_dc/da9/class_i_entity"><div class="ttname"><a href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/dd5/_en_entity_8c_source.html#l00164">EnEntity.c:165</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_5eccb71dd63ea3c42a1369b85c71c9fd.html">3_Game</a></li><li class="navelem"><a class="el" href="../../dir_907fa993cde0429e91bf5998789740ad.html">tools</a></li><li class="navelem"><a class="el" href="../../d1/d31/_component_8c.html">Component.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
